VMTKCENTERLINEIMAGE(1)

NAME
vmtkcenterlineimage - vmtk script vmtkcenterlineimage

DESCRIPTION
Automatic piping vmtkcenterlineimage Parsing options vmtkcenterlineimage

vmtkcenterlineimage : Automatically extract a binary skeleton

    centerline image from a surface using a flux-driven medial curve extraction algorithm. Note: results will be slightly different on different operating systems.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-sigma Sigma (float,1) >= 0.0; default=0.5: the kernal width of the

    gaussian used for image smoothing

-threshold Threshold (float,1) >= 0.0 and <= 1.0; default=0.0: the

    threshold to filter the output skeleton image at

-spacing PolyDataToImageDataSpacing (float,3) >= 0.0; default=[0.3,

    0.3, 0.3]: the sample spacing for the polydata to image data conversion

-ofile ImageOutputFileName (str,1): filename for the default Image

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Image (vtkImageData,1): the output centerline image